metee

Loading...
Searching...
No Matches
Data Fields
_TEEHANDLE Struct Reference

`#include <metee.h>`

## Data Fields
void * | handle
size_t | maxMsgLen
uint8_t | protcolVer
enum tee_log_level | log_level
TeeLogCallback | log_callback

## Detailed Description

Structure to store connection data

Definition at line 100 of file metee.h.

## Field Documentation

## ◆ handle

void* _TEEHANDLE::handle

Handle to the internal structure

Definition at line 102 of file metee.h.

## ◆ log_callback

TeeLogCallback _TEEHANDLE::log_callback

Log callback

Definition at line 106 of file metee.h.

## ◆ log_level

enum tee_log_level _TEEHANDLE::log_level

Log level

Definition at line 105 of file metee.h.

## ◆ maxMsgLen

size_t _TEEHANDLE::maxMsgLen

FW Client Max Message Length

Definition at line 103 of file metee.h.

## ◆ protcolVer

uint8_t _TEEHANDLE::protcolVer

FW Client Protocol FW

Definition at line 104 of file metee.h.

The documentation for this struct was generated from the following file:

- metee.h